beta<-mcmc.output$b2

graphics.off()
#-------------------------------------------------------------------------------
postscript('chap1_ex07_2-5.ps', width = 10.0, height = 12.0, horizontal=FALSE)
par( mfrow=c(3,2), xaxs='r', yaxs='r', bty='l' , cex=0.8)


iter<-1500
burnin<-500
index<-1:iter
index2<-(burnin+1):iter

plot(index, beta[index,1], type='l', ylab='Values of beta0', xlab='Iterations', main='(a) Trace Plot of beta0')
plot(index, beta[index,2], type='l', ylab='Values of beta1', xlab='Iterations', main='(b) Trace Plot of beta1')


ergbeta0<-erg.mean( beta[index,1] )
ergbeta02<-erg.mean( beta[index2,1] )
ylims0<-range( c(ergbeta0,ergbeta02) )

ergbeta1<-erg.mean( beta[index,2] )
ergbeta12<-erg.mean( beta[index2,2] )
ylims1<-range( c(ergbeta1,ergbeta12) )

step<-10
index3<-seq(1,iter,step) 
index4<-seq(burnin+1,iter,step)

plot(index3 , ergbeta0[index3], type='l', ylab='Values of beta0', xlab='Iterations', main='(c) Ergodic Mean Plot of beta0', ylim=ylims0)
lines(index4, ergbeta02[index4-burnin], col=2, lty=2)


plot(index3, ergbeta1[index3], type='l', ylab='Values of beta1', xlab='Iterations', main='(d) Ergodic Mean Plot of beta1', ylim=ylims1)
lines(index4, ergbeta12[index4-burnin], col=2, lty=2)

acf(beta[index,1], main='Autocorrelations Plot for beta0')
acf(beta[index,2], main='Autocorrelations Plot for beta1')


graphics.off()


#-------------------------------------------------------------------------------
postscript('chap1_ex07_2-6.ps', width = 10.0, height = 12.0, horizontal=FALSE)
par( mfrow=c(3,2), xaxs='r', yaxs='r', bty='l' , cex=0.8)


iter<-11000
burnin<-1000
step<-30
index<-seq(1,iter,step)
index2<-seq(burnin+1,iter,step)

plot(index, beta[index,1], type='l', ylab='Values of beta0', xlab='Iterations', main='(a) Trace Plot of beta0')
plot(index, beta[index,2], type='l', ylab='Values of beta1', xlab='Iterations', main='(b) Trace Plot of beta1')

iter<-11000
burnin<-1000
step<-1
index<-seq(1,iter,step)
index2<-seq(burnin+1,iter,step)

ergbeta0<-erg.mean( beta[index,1] )
ergbeta02<-erg.mean( beta[index2,1] )
ylims0<-range( c(ergbeta0,ergbeta02) )



ergbeta1<-erg.mean( beta[index,2] )
ergbeta12<-erg.mean( beta[index2,2] )
ylims1<-range( c(ergbeta1,ergbeta12) )

step<-20
index3<-seq(1,iter,step) 
index4<-seq(burnin+1,iter,step)

plot(index3 , ergbeta0[index3], type='l', ylab='Values of beta0', xlab='Iterations', main='(c) Ergodic Mean Plot of beta0', ylim=ylims0)
lines(index4, ergbeta02[index4-burnin], col=2, lty=2)


plot(index3, ergbeta1[index3], type='l', ylab='Values of beta1', xlab='Iterations', main='(d) Ergodic Mean Plot of beta1', ylim=ylims1)
lines(index4, ergbeta12[index4-burnin], col=2, lty=2)


step<-20
index3<-seq(1,iter,step) 
index4<-seq(burnin+1,iter,step)

acf(beta[index4,1], main='Autocorrelations Plot for beta0', sub='(Thin = 20 iterations)')
acf(beta[index4,2], main='Autocorrelations Plot for beta1', sub='(Thin = 20 iterations)')


graphics.off()

